# Uses of Interface
org.eclipse.core.runtime.IConfigurationElement

Packages that use IConfigurationElement
Package
Description
org.eclipse.ant.core
Provides support for running the Ant build tool in the platform.
org.eclipse.compare.internal
org.eclipse.core.expressions
Application programming interfaces for the expression language.
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.core.runtime.content
Provides core support for content types.
org.eclipse.equinox.jsp.jasper.registry
Provides core support for the HttpService Servlet.
org.eclipse.help.ui.browser
Provides an implementation of IWorkbenchWindowActionDelegate for opening a URL in a browser.
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.cheatsheets
Provides support for working with cheat sheets.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.internal
org.eclipse.ui.intro.universal
Provides a mechanism to add a preference page to customize welcome.
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences
org.eclipse.ui.testing
Classes for testing support.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.quickdiff
Provides interfaces to for the `org.eclipse.ui.editors.quickDiffReferenceProvider` extension point and adds an action to enable quick diff display for an editor.
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.
org.eclipse.ui.themes
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.views.markers
Utility classes for working with markers in views
org.eclipse.ui.views.markers.internal
org.eclipse.ui.wizards.newresource
Provides the standard wizards for creating files, folders, and projects in the workspace.

## Uses of IConfigurationElement in org.eclipse.ant.core

Method parameters in org.eclipse.ant.core with type arguments of type IConfigurationElement
Modifier and Type
Method
Description
`protected void`
AntCorePreferences.`computeDefaultExtraClasspathEntries(List<IConfigurationElement> entries)`
`protected List<Task>`
AntCorePreferences.`computeDefaultTasks(List<IConfigurationElement> tasks)`
Returns the complete list of pre-configured `Task`s
`protected List<Type>`
AntCorePreferences.`computeDefaultTypes(List<IConfigurationElement> types)`
Returns the complete listing of pre-configured `Type`s
Constructor parameters in org.eclipse.ant.core with type arguments of type IConfigurationElement
Modifier
Constructor
Description
`protected`
`AntCorePreferences(List<IConfigurationElement> defaultTasks, List<IConfigurationElement> defaultExtraClasspath, List<IConfigurationElement> defaultTypes, boolean headless)`
`protected`
`AntCorePreferences(List<IConfigurationElement> defaultTasks, List<IConfigurationElement> defaultExtraClasspath, List<IConfigurationElement> defaultTypes, List<IConfigurationElement> defaultProperties, boolean headless)`

## Uses of IConfigurationElement in org.eclipse.compare.internal

Constructors in org.eclipse.compare.internal with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`CompareFilterDescriptor(IConfigurationElement config)`
``
`StructureCreatorDescriptor(IConfigurationElement element)`
``
`ViewerDescriptor(IConfigurationElement config)`

## Uses of IConfigurationElement in org.eclipse.core.expressions

Methods in org.eclipse.core.expressions with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`abstract Expression`
ElementHandler.`create(ExpressionConverter converter, IConfigurationElement config)`
Creates the corresponding expression for the given configuration element.
`Expression`
ExpressionConverter.`perform(IConfigurationElement root)`
Converts the tree of configuration elements represented by the given root element and returns a corresponding expression tree.
`protected void`
ElementHandler.`processChildren(ExpressionConverter converter, IConfigurationElement element, CompositeExpression expression)`
Converts the children of the given configuration element and adds them to the given composite expression.
Constructors in org.eclipse.core.expressions with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`CountExpression(IConfigurationElement configElement)`
``
`EqualsExpression(IConfigurationElement element)`
``
`ReferenceExpression(IConfigurationElement element)`
``
`TestExpression(IConfigurationElement element)`
``
`WithExpression(IConfigurationElement configElement)`

## Uses of IConfigurationElement in org.eclipse.core.resources

Methods in org.eclipse.core.resources with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
IncrementalProjectBuilder.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
Sets initialization data for this builder.

## Uses of IConfigurationElement in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return IConfigurationElement
Modifier and Type
Method
Description
`IConfigurationElement[]`
IConfigurationElement.`getChildren()`
Returns all configuration elements that are children of this configuration element.
`IConfigurationElement[]`
IConfigurationElement.`getChildren(String name)`
Returns all child configuration elements with the given name.
`IConfigurationElement[]`
IExtension.`getConfigurationElements()`
Returns all configuration elements declared by this extension.
`IConfigurationElement[]`
IExtensionPoint.`getConfigurationElements()`
Returns all configuration elements from all extensions configured into this extension point.
`IConfigurationElement[]`
IExtensionRegistry.`getConfigurationElementsFor(String extensionPointId)`
Returns all configuration elements from all extensions configured into the identified extension point.
`IConfigurationElement[]`
IExtensionRegistry.`getConfigurationElementsFor(String namespace, String extensionPointName)`
Returns all configuration elements from all extensions configured into the identified extension point.
`IConfigurationElement[]`
IExtensionRegistry.`getConfigurationElementsFor(String namespace, String extensionPointName, String extensionId)`
Returns all configuration elements from the identified extension.
Methods in org.eclipse.core.runtime with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
IExecutableExtension.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information.

## Uses of IConfigurationElement in org.eclipse.core.runtime.content

Methods in org.eclipse.core.runtime.content with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
BinarySignatureDescriber.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
`void`
XMLRootElementContentDescriber.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
Deprecated.
`void`
XMLRootElementContentDescriber2.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.equinox.jsp.jasper.registry

Methods in org.eclipse.equinox.jsp.jasper.registry with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
JSPFactory.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.help.ui.browser

Methods in org.eclipse.help.ui.browser with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
LaunchURL.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`boolean`
IParticipantDescriptorFilter.`select(IConfigurationElement element, RefactoringStatus status)`
Returns whether the given element makes it through this filter.

## Uses of IConfigurationElement in org.eclipse.team.ui.synchronize

Fields in org.eclipse.team.ui.synchronize declared as IConfigurationElement
Modifier and Type
Field
Description
`protected IConfigurationElement`
AbstractSynchronizeParticipant.`configElement`
Methods in org.eclipse.team.ui.synchronize with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
AbstractSynchronizeParticipant.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
BasicWorkingSetElementAdapter.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
`void`
ExtensionFactory.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
Constructors in org.eclipse.ui with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`SelectionEnabler(IConfigurationElement configElement)`
Create a new instance of the receiver.

## Uses of IConfigurationElement in org.eclipse.ui.actions

Constructors in org.eclipse.ui.actions with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`ContributedAction(IServiceLocator locator, IConfigurationElement element)`
Create an action that can call a command.

## Uses of IConfigurationElement in org.eclipse.ui.activities

Methods in org.eclipse.ui.activities with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
ActivitiesPreferencePage.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
`void`
ActivityCategoryPreferencePage.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
`void`
WorkbenchTriggerPointAdvisor.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ui.cheatsheets

Methods in org.eclipse.ui.cheatsheets with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
CheatSheetExtensionFactory.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
ExtensionParameterValues.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
RadioState.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
`void`
RegistryRadioState.`setInitializationData(IConfigurationElement configurationElement, String propertyName, Object data)`
`void`
RegistryToggleState.`setInitializationData(IConfigurationElement configurationElement, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ui.internal

Fields in org.eclipse.ui.internal with type parameters of type IConfigurationElement
Modifier and Type
Field
Description
`protected ArrayList<IConfigurationElement>`
PluginActionBuilder.BasicContribution.`menus`
Methods in org.eclipse.ui.internal that return IConfigurationElement
Modifier and Type
Method
Description
`protected IConfigurationElement`
PluginAction.`getConfigElement()`
`IConfigurationElement`
PluginActionSet.`getConfigElement()`
Returns the configuration element.
`IConfigurationElement`
WorkbenchWindow.`getICEFor(MToolControl mtc)`
`static IConfigurationElement[]`
ConfigurationInfo.`getSortedExtensions(IConfigurationElement[] configElements)`
Methods in org.eclipse.ui.internal with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`boolean`
ObjectFilterTest.`addFilterElement(IConfigurationElement element)`
Add a filter element to the test.
`void`
PluginActionBuilder.BasicContribution.`addMenu(IConfigurationElement element)`
Add a menu.
`protected void`
PluginActionBuilder.BasicContribution.`contributeGroupMarker(IMenuManager menu, IConfigurationElement element)`
Creates a named menu group marker from the information in the configuration element.
`protected void`
PluginActionBuilder.BasicContribution.`contributeMenu(IConfigurationElement menuElement, IMenuManager mng, boolean appendIfMissing)`
Creates a menu from the information in the menu configuration element and adds it into the provided menu manager.
`protected void`
PluginActionBuilder.BasicContribution.`contributeSeparator(IMenuManager menu, IConfigurationElement element)`
Creates a named menu separator from the information in the configuration element.
`protected ActionDescriptor`
EditorActionBuilder.`createActionDescriptor(IConfigurationElement element)`
`protected ActionDescriptor`
ObjectActionContributor.`createActionDescriptor(IConfigurationElement element)`
`protected abstract ActionDescriptor`
PluginActionBuilder.`createActionDescriptor(IConfigurationElement element)`
This factory method returns a new ActionDescriptor for the configuration element.
`protected ActionDescriptor`
PluginActionSetBuilder.`createActionDescriptor(IConfigurationElement element)`
`protected ActionDescriptor`
ViewActionBuilder.`createActionDescriptor(IConfigurationElement element)`
`protected ActionDescriptor`
ViewerActionBuilder.`createActionDescriptor(IConfigurationElement element)`
`static Object`
WorkbenchPlugin.`createExtension(IConfigurationElement element, String classAttribute)`
Creates an extension.
`static String`
WorkbenchWindow.`getActionSetCommandId(IConfigurationElement element)`
`static Bundle`
WorkbenchPlugin.`getBundleForExecutableExtension(IConfigurationElement element, String extensionName)`
Returns the bundle that contains the class referenced by an executable extension.
`static String`
WorkbenchWindow.`getCommandId(IConfigurationElement element)`
`static String`
WorkbenchWindow.`getDefinitionId(IConfigurationElement element)`
`static String`
WorkbenchWindow.`getId(IConfigurationElement element)`
`protected String`
PluginActionBuilder.`getID(IConfigurationElement element)`
Returns the id of this contributions.
`static boolean`
WorkbenchWindow.`getRetarget(IConfigurationElement element)`
`static IConfigurationElement[]`
ConfigurationInfo.`getSortedExtensions(IConfigurationElement[] configElements)`
`protected String`
PluginActionBuilder.`getTargetID(IConfigurationElement element)`
Returns the name of the part ID attribute that is expected in the target extension.
`static boolean`
WorkbenchPlugin.`hasExecutableExtension(IConfigurationElement element, String extensionName)`
Answers whether the provided element either has an attribute with the given name or a child element with the given name with an attribute called class.
`static boolean`
WorkbenchPlugin.`isBundleLoadedForExecutableExtension(IConfigurationElement element, String extensionName)`
Checks to see if the provided element has the syntax for an executable extension with a given name that resides in a bundle that is already active.
`protected void`
ObjectActionContributorReader.`processObjectContribution(IConfigurationElement element)`
Creates popup menu contributor from this element.
`protected boolean`
ObjectActionContributor.`readElement(IConfigurationElement element)`
`protected boolean`
ObjectActionContributorReader.`readElement(IConfigurationElement element)`
Implements abstract method to handle configuration elements.
`protected boolean`
PerspectiveExtensionReader.`readElement(IConfigurationElement element)`
`protected boolean`
PluginActionBuilder.`readElement(IConfigurationElement element)`
Implements abstract method to handle the provided XML element in the registry.
`protected boolean`
ViewerActionBuilder.`readElement(IConfigurationElement element)`
`void`
FilteredTableBaseHandler.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
Constructors in org.eclipse.ui.internal with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`ActionDescriptor(IConfigurationElement actionElement, int targetType)`
Creates a new descriptor with the specified target.
``
`ActionDescriptor(IConfigurationElement actionElement, int targetType, Object target)`
Creates a new descriptor with the target and destination workbench part it will go into.
``
`ActionExpression(IConfigurationElement element)`
Creates an action expression for the given configuration element.
``
`EditorPluginAction(IConfigurationElement actionElement, IEditorPart part, String id, int style)`
This class adds the requirement that action delegates loaded on demand implement IViewActionDelegate
``
`EditorSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
Constructs an EditorSite for an editor.
``
`ObjectActionContributor(IConfigurationElement config)`
The constructor.
``
`ObjectPluginAction(IConfigurationElement actionElement, String id, int style)`
Constructs a new ObjectPluginAction.
``
`PartPluginAction(IConfigurationElement actionElement, String id, int style)`
PartPluginAction constructor.
``
`PartSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
Build the part site.
``
`PluginAction(IConfigurationElement actionElement, String id, int style)`
PluginAction constructor.
``
`ViewPluginAction(IConfigurationElement actionElement, IViewPart viewPart, String id, int style)`
This class adds the requirement that action delegates loaded on demand implement IViewActionDelegate
``
`ViewSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
``
`WWinPluginAction(IConfigurationElement actionElement, IWorkbenchWindow window, String id, int style)`
Constructs a new `WWinPluginAction` object.
``
`WWinPluginPulldown(IConfigurationElement actionElement, IWorkbenchWindow window, String id, int style)`
Constructs a new instance of `WWinPluginPulldown`.

## Uses of IConfigurationElement in org.eclipse.ui.intro.universal

Methods in org.eclipse.ui.intro.universal with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
ExtensionFactory.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`

## Uses of IConfigurationElement in org.eclipse.ui.menus

Methods in org.eclipse.ui.menus with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
ExtensionContributionFactory.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
Clients who wish to implement their own `IExecutableExtension` behaviour must invoke this method prior to any customization they perform.

## Uses of IConfigurationElement in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return IConfigurationElement
Modifier and Type
Method
Description
`protected IConfigurationElement`
IntroPart.`getConfigurationElement()`
Returns the configuration element for this part.
`protected IConfigurationElement`
WorkbenchPart.`getConfigurationElement()`
Returns the configuration element for this part.
Methods in org.eclipse.ui.part with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
EditorPart.`setInitializationData(IConfigurationElement cfig, String propertyName, Object data)`
`void`
IntroPart.`setInitializationData(IConfigurationElement cfig, String propertyName, Object data)`
The `IntroPart` implementation of this `IExecutableExtension` records the configuration element in and internal state variable (accessible via `getConfigElement`).
`void`
ViewPart.`setInitializationData(IConfigurationElement cfig, String propertyName, Object data)`
`void`
WorkbenchPart.`setInitializationData(IConfigurationElement cfig, String propertyName, Object data)`
This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information.

## Uses of IConfigurationElement in org.eclipse.ui.preferences

Methods in org.eclipse.ui.preferences that return IConfigurationElement
Modifier and Type
Method
Description
`static IConfigurationElement[]`
SettingsTransfer.`getSettingsTransfers()`
Return the configuration elements for all of the settings transfers.

## Uses of IConfigurationElement in org.eclipse.ui.testing

Methods in org.eclipse.ui.testing that return IConfigurationElement
Modifier and Type
Method
Description
`IConfigurationElement`
ContributionInfo.`getConfigurationElement()`
Constructors in org.eclipse.ui.testing with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`ContributionInfo(String bundleId, String elementType, IConfigurationElement configurationElement)`
Creates a new instance.

## Uses of IConfigurationElement in org.eclipse.ui.texteditor

Fields in org.eclipse.ui.texteditor declared as IConfigurationElement
Modifier and Type
Field
Description
`IConfigurationElement`
AnnotationPreference.`fConfigurationElement`
The configuration element from which to create the annotation image provider.
Methods in org.eclipse.ui.texteditor that return IConfigurationElement
Modifier and Type
Method
Description
`abstract IConfigurationElement`
ConfigurationElementSorter.`getConfigurationElement(Object object)`
Returns the configuration element for the given object.
Methods in org.eclipse.ui.texteditor with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
AnnotationPreference.`setAnnotationImageProviderData(IConfigurationElement configurationElement, String annotationImageProviderAttribute)`
Sets the data needed to create the annotation image provider.

## Uses of IConfigurationElement in org.eclipse.ui.texteditor.quickdiff

Constructors in org.eclipse.ui.texteditor.quickdiff with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`ReferenceProviderDescriptor(IConfigurationElement element)`
Creates a new descriptor for `element`.

## Uses of IConfigurationElement in org.eclipse.ui.texteditor.spelling

Constructors in org.eclipse.ui.texteditor.spelling with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`SpellingEngineDescriptor(IConfigurationElement element)`
Creates a new descriptor for `element`.

## Uses of IConfigurationElement in org.eclipse.ui.themes

Methods in org.eclipse.ui.themes with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
RGBBlendColorFactory.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
This executable extension requires parameters to be explicitly declared via the second method described in the `IExecutableExtension` documentation.

## Uses of IConfigurationElement in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers that return IConfigurationElement
Modifier and Type
Method
Description
`final IConfigurationElement`
MarkerField.`getConfigurationElement()`
Get the configuration element for the receiver.
Methods in org.eclipse.ui.views.markers with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`final void`
MarkerField.`setConfigurationElement(IConfigurationElement element)`
Set the configuration element used by the receiver.

## Uses of IConfigurationElement in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal that return IConfigurationElement
Modifier and Type
Method
Description
`IConfigurationElement`
AttributeMarkerGrouping.`getElement()`
Return the IConfigurationElement for the receiver.
`IConfigurationElement[]`
ContentGeneratorDescriptor.`getFilterReferences()`
Return the configuration elements for the receiver.
Methods in org.eclipse.ui.views.markers.internal with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`static MarkerGroup`
MarkerGroup.`createMarkerGroup(IConfigurationElement element)`
Create a new MarkerGroup from element.
`void`
ContentGeneratorDescriptor.`removeExtension(IConfigurationElement element)`
Remove the element from the generator extensions
Method parameters in org.eclipse.ui.views.markers.internal with type arguments of type IConfigurationElement
Modifier and Type
Method
Description
`void`
ContentGeneratorDescriptor.`addExtensions(Collection<IConfigurationElement> extensions)`
Add the extensions to the receiver.
Constructors in org.eclipse.ui.views.markers.internal with parameters of type IConfigurationElement
Modifier
Constructor
Description
``
`AttributeMarkerGrouping(IConfigurationElement element)`
Create a new instance of the receiver from element.
``
`ContentGeneratorDescriptor(IConfigurationElement element)`
Create a new ContentGeneratorDescriptor
`protected`
`MarkerGroup(IConfigurationElement element)`
Create a new instance of the receiver called name with id identifier.
``
`MarkerGroupingEntry(IConfigurationElement element)`
Create a new instance of the receiver from element.

## Uses of IConfigurationElement in org.eclipse.ui.wizards.newresource

Methods in org.eclipse.ui.wizards.newresource with parameters of type IConfigurationElement
Modifier and Type
Method
Description
`void`
BasicNewProjectResourceWizard.`setInitializationData(IConfigurationElement cfig, String propertyName, Object data)`
Stores the configuration element for the wizard.
`static void`
BasicNewProjectResourceWizard.`updatePerspective(IConfigurationElement configElement)`
Updates the perspective based on the current settings in the Workbench/Perspectives preference page.